aboutsummaryrefslogtreecommitdiff
path: root/databases/postgresql84-server/files
diff options
context:
space:
mode:
Diffstat (limited to 'databases/postgresql84-server/files')
-rw-r--r--databases/postgresql84-server/files/502.pgsql89
-rw-r--r--databases/postgresql84-server/files/dot.cshrc.in13
-rw-r--r--databases/postgresql84-server/files/dot.profile.in25
-rw-r--r--databases/postgresql84-server/files/patch-configure59
-rw-r--r--databases/postgresql84-server/files/pgsql.sh.tmpl49
-rw-r--r--databases/postgresql84-server/files/pkg-message.server17
-rw-r--r--databases/postgresql84-server/files/post-install-notes57
7 files changed, 0 insertions, 309 deletions
diff --git a/databases/postgresql84-server/files/502.pgsql b/databases/postgresql84-server/files/502.pgsql
deleted file mode 100644
index 84cdb9b5ad45..000000000000
--- a/databases/postgresql84-server/files/502.pgsql
+++ /dev/null
@@ -1,89 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-# Maintenance shell script to vacuum and backup database
-# Put this in /usr/local/etc/periodic/daily, and it will be run
-# every night
-#
-# Written by Palle Girgensohn <girgen@pingpong.net>
-#
-# In public domain, do what you like with it,
-# and use it at your own risk... :)
-#
-######################################################################
-#
-# If you like to tweak the settings of the variables PGBACKUPDIR and
-# PGDUMP_ARGS, you should preferably set them in ~pgsql/.profile.
-# If set there, that setting will override the defaults here.
-#
-######################################################################
-
-DIR=`dirname $0`
-progname=`basename $0`
-PRG=`cd $DIR; pwd `/$progname
-
-# Run as user pgsql
-if [ `id -un` != pgsql ]; then
- su -l pgsql -c ${PRG}
- exit $?
-fi
-
-# arguments to pg_dump
-PGDUMP_ARGS=${PGDUMP_ARGS:-"-b -F c"}
-
-# The directory where the backups will reside.
-# ${HOME} is pgsql's home directory
-PGBACKUPDIR=${PGBACKUPDIR:-${HOME}/backups}
-
-# If you want to keep a history of database backups, set
-# PGBACKUP_SAVE_DAYS in ~pgsql/.profile to the number of days. This is
-# used as "find ... -mtime +${PGBACKUP_SAVE_DAYS} -delete", see below
-PGBACKUP_SAVE_DAYS=${PGBACKUP_SAVE_DAYS:-7}
-
-# PGBACKUPDIR must be writeable by user pgsql
-# ~pgsql is just that under normal circumstances,
-# but this might not be where you want the backups...
-if [ ! -d ${PGBACKUPDIR} ] ; then
- echo Creating ${PGBACKUPDIR}
- mkdir ${PGBACKUPDIR}
- chmod 700 ${PGBACKUPDIR}
-fi
-
-echo
-echo "PostgreSQL maintenance"
-
-# Protect the data
-umask 077
-dbnames=`psql -q -t -A -d template1 -c "SELECT datname FROM pg_database WHERE datname != 'template0'"`
-rc=$?
-now=`date "+%Y-%m-%dT%H:%M:%S"`
-file=${PGBACKUPDIR}/pgglobals_${now}
-pg_dumpall -g | gzip -9 > ${file}.gz
-for db in ${dbnames}; do
- echo -n " $db"
- file=${PGBACKUPDIR}/pgdump_${db}_${now}
- pg_dump ${PGDUMP_ARGS} -f ${file} ${db}
- [ $? -gt 0 ] && rc=3
-done
-
-if [ $rc -gt 0 ]; then
- echo
- echo "Errors were reported during backup."
-fi
-
-echo
-echo "vacuuming..."
-vacuumdb -a -z -q
-if [ $? -gt 0 ]
-then
- echo
- echo "Errors were reported during vacuum."
- rc=3
-fi
-
-# cleaning up old data
-find ${PGBACKUPDIR} \( -name 'pgdump_*' -o -name 'pgglobals_*' \) \
- -a -mtime +${PGBACKUP_SAVE_DAYS} -delete
-
-exit $rc
diff --git a/databases/postgresql84-server/files/dot.cshrc.in b/databases/postgresql84-server/files/dot.cshrc.in
deleted file mode 100644
index 724212c70b23..000000000000
--- a/databases/postgresql84-server/files/dot.cshrc.in
+++ /dev/null
@@ -1,13 +0,0 @@
-set path = ( %%PREFIX%%/bin $path )
-
-setenv PGLIB %%PREFIX%%/lib
-
-# note: PGDATA can be overridden by the -D startup option
-setenv PGDATA $HOME/data
-
-#You might want to set some locale stuff here
-#setenv PGDATESTYLE ISO
-#setenv LC_ALL sv_SE.ISO_8859-1
-
-# if you want to make regression tests use this TZ
-#setenv TZ PST8PDT
diff --git a/databases/postgresql84-server/files/dot.profile.in b/databases/postgresql84-server/files/dot.profile.in
deleted file mode 100644
index 6da911dfa6fa..000000000000
--- a/databases/postgresql84-server/files/dot.profile.in
+++ /dev/null
@@ -1,25 +0,0 @@
-# both new and old layout's paths, but new path first...
-PATH=%%PREFIX%%/bin:${PATH}
-
-PGLIB=%%PREFIX%%/lib
-
-# note: PGDATA can be overridden by the -D startup option
-PGDATA=${HOME}/data
-
-export PATH PGLIB PGDATA
-
-# if you use the periodic script from share/postgresql/502.pgsql, you
-# can set these
-#PGDUMP_ARGS="-b -F c"
-#PGBACKUPDIR=${HOME}/backups
-#PGBACKUP_SAVE_DAYS=7
-#export PGBACKUPDIR PGDUMP_ARGS PGBACKUP_SAVE_DAYS
-
-#You might want to set some locale stuff here
-#PGDATESTYLE=ISO
-#LC_ALL=sv_SE.ISO_8859-1
-#export PGDATESTYLE LC_ALL
-
-# if you want to make regression tests use this TZ
-#TZ=PST8PDT
-#export TZ
diff --git a/databases/postgresql84-server/files/patch-configure b/databases/postgresql84-server/files/patch-configure
deleted file mode 100644
index efeca517d300..000000000000
--- a/databases/postgresql84-server/files/patch-configure
+++ /dev/null
@@ -1,59 +0,0 @@
---- configure.orig Wed Jun 26 21:28:24 2002
-+++ configure Wed Jun 26 21:35:16 2002
-@@ -2007,11 +2007,13 @@
- EOF
-
-
-- if test -d "$krb4_prefix/include"; then
-- INCLUDES="$INCLUDES -I$krb4_prefix/include"
-- fi
-- if test -d "$krb4_prefix/lib"; then
-- LIBDIRS="$LIBDIRS -L$krb4_prefix/lib"
-+ if test "$krb4_prefix" != "/usr"; then
-+ if test -d "$krb4_prefix/include"; then
-+ INCLUDES="$INCLUDES -I$krb4_prefix/include"
-+ fi
-+ if test -d "$krb4_prefix/lib"; then
-+ LIBDIRS="$LIBDIRS -L$krb4_prefix/lib"
-+ fi
- fi
-
- krb_srvtab="/etc/srvtab"
-@@ -2052,11 +2054,13 @@
- EOF
-
-
-- if test -d "$krb5_prefix/include"; then
-- INCLUDES="$INCLUDES -I$krb5_prefix/include"
-- fi
-- if test -d "$krb5_prefix/lib"; then
-- LIBDIRS="$LIBDIRS -L$krb5_prefix/lib"
-+ if test "$krb5_prefix" != "/usr"; then
-+ if test -d "$krb5_prefix/include"; then
-+ INCLUDES="$INCLUDES -I$krb5_prefix/include"
-+ fi
-+ if test -d "$krb5_prefix/lib"; then
-+ LIBDIRS="$LIBDIRS -L$krb5_prefix/lib"
-+ fi
- fi
-
- krb_srvtab="FILE:\$(sysconfdir)/krb5.keytab"
-@@ -2157,11 +2161,13 @@
- EOF
-
-
-- if test -d "${openssl_prefix}/include" ; then
-- INCLUDES="$INCLUDES -I${openssl_prefix}/include"
-- fi
-- if test -d "${openssl_prefix}/lib" ; then
-- LIBDIRS="$LIBDIRS -L${openssl_prefix}/lib"
-+ if test "${openssl_prefix}" != "/usr"; then
-+ if test -d "${openssl_prefix}/include" ; then
-+ INCLUDES="$INCLUDES -I${openssl_prefix}/include"
-+ fi
-+ if test -d "${openssl_prefix}/lib" ; then
-+ LIBDIRS="$LIBDIRS -L${openssl_prefix}/lib"
-+ fi
- fi
-
- fi
diff --git a/databases/postgresql84-server/files/pgsql.sh.tmpl b/databases/postgresql84-server/files/pgsql.sh.tmpl
deleted file mode 100644
index 0d85d6fba25d..000000000000
--- a/databases/postgresql84-server/files/pgsql.sh.tmpl
+++ /dev/null
@@ -1,49 +0,0 @@
-#!/bin/sh
-
-# $FreeBSD$
-#
-# For postmaster startup options, edit $PGDATA/postgresql.conf
-#
-# Note that PGDATA is set in ~pgsql/.profile, don't try to manipulate it here!
-#
-
-PREFIX=%%PREFIX%%
-PGBIN=${PREFIX}/bin
-logfile=/var/log/pgsql
-
-case $1 in
-start)
- touch ${logfile}
- chmod 600 ${logfile}
- chown pgsql:pgsql ${logfile}
- [ -x ${PGBIN}/pg_ctl ] && {
- su -l pgsql -c \
- "[ -d \${PGDATA} ] && exec ${PREFIX}/bin/pg_ctl start -s -w -l ${logfile}"
- echo -n ' pgsql'
- }
- ;;
-
-stop)
- [ -x ${PGBIN}/pg_ctl ] && {
- su -l pgsql -c "exec ${PREFIX}/bin/pg_ctl stop -s -m fast"
- echo -n ' pgsql'
- }
- ;;
-
-restart)
- [ -x ${PGBIN}/pg_ctl ] && {
- exec su -l pgsql -c "exec ${PREFIX}/bin/pg_ctl restart -s -m fast -l ${logfile}"
- }
- ;;
-
-status)
- [ -x ${PGBIN}/pg_ctl ] && {
- exec su -l pgsql -c "exec ${PREFIX}/bin/pg_ctl status"
- }
- ;;
-
-*)
- echo "usage: `basename $0` {start|stop|restart|status}" >&2
- exit 64
- ;;
-esac
diff --git a/databases/postgresql84-server/files/pkg-message.server b/databases/postgresql84-server/files/pkg-message.server
deleted file mode 100644
index 6027012da44c..000000000000
--- a/databases/postgresql84-server/files/pkg-message.server
+++ /dev/null
@@ -1,17 +0,0 @@
-======================================================================
-
-To initialize the database, you should run initdb as the "pgsql" user
-(if you want to use your locale for collation, edit ~pgsql/.profile
-and set the locale to your preference first).
-
-Example:
-
- su -l pgsql -c initdb
-
-You can then start PostgreSQL by running:
-
- /usr/local/etc/rc.d/010.pgsql.sh start
-
-For postmaster settings, see ~pgsql/data/postgresql.conf
-For more tips, read ~pgsql/post-install-notes
-======================================================================
diff --git a/databases/postgresql84-server/files/post-install-notes b/databases/postgresql84-server/files/post-install-notes
deleted file mode 100644
index 037eec446deb..000000000000
--- a/databases/postgresql84-server/files/post-install-notes
+++ /dev/null
@@ -1,57 +0,0 @@
-The PostgreSQL port has a collection of "side orders":
-
-postgresql-doc
- For all of the html documentation
-
-p5-Pg
- A perl5 API for client access to PostgreSQL databases.
-
-postgresql-tcltk
- If you want tcl/tk client support. You get a neat GUI, pgaccess, as
- a bonus!
-
-postgresql-jdbc
- For Java JDBC support.
-
-postgresql-odbc
- For client access from unix applications using ODBC as access
- method. Not needed to access unix PostgreSQL servers from Win32
- using ODBC. See below.
-
-ruby-postgres, py-PyGreSQL
- For client access to PostgreSQL databases using the ruby & python
- languages.
-
-p5-postgresql-plperl, postgresql-pltcl & postgresql-plruby
- For using perl5, tcl & ruby as procedural languages.
-
-etc etc...
-
-Note that many files have moved around compared to previous versions
-of PostgreSQL. For example, plpgsql.so and all other language modules
-are now in /usr/local/lib/postgresql.
-
-If you have many tables and many clients running, consider raising
-kern.maxfiles using sysctl(8), or reconfigure your kernel
-appropriately.
-
-You should vacuum and backup your database regularly. There is a
-periodic script, /usr/local/share/postgresql/502.pgsql, that you may
-find useful.
-
-To allow many simultaneous connections to your PostgreSQL server, you
-should raise the SystemV shared memory limits in your kernel. Here are
-example values for allowing up to 180 clients (tinkering in
-postgresql.conf also needed, of course):
- options SYSVSHM
- options SYSVSEM
- options SYSVMSG
- options SHMMAXPGS=65536
- options SEMMNI=40
- options SEMMNS=240
- options SEMUME=40
- options SEMMNU=120
-
-If you plan to access your PostgreSQL server using ODBC, please
-consider running the SQL script /usr/local/share/postgresql/odbc.sql
-to get the functions required for ODBC compliance.